> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create user

>  

Use this endpoint to create a new user. The API will respond with the newly-created user object if successful, containing a `guid` that you'll set as the `user_guid` in other requests when required. Disabling a user means that accounts and transactions associated with it will not be updated in the background by MX. It will also restrict access to that user’s data until they are no longer disabled.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml POST /users
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users:
    post:
      tags:
        - users
      summary: Create user
      description: >-
        Use this endpoint to create a new user. The API will respond with the
        newly-created user object if successful, containing a `guid` that you'll
        set as the `user_guid` in other requests when required. Disabling a user
        means that accounts and transactions associated with it will not be
        updated in the background by MX. It will also restrict access to that
        user’s data until they are no longer disabled.
      operationId: createUser
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserCreateRequestBody'
        description: >-
          User object to be created. (None of these parameters are required, but
          the user object cannot be empty)
        required: true
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/UserResponseBody'
          description: OK
components:
  schemas:
    UserCreateRequestBody:
      properties:
        user:
          $ref: '#/components/schemas/UserCreateRequest'
      type: object
    UserResponseBody:
      properties:
        user:
          $ref: '#/components/schemas/UserResponse'
      type: object
    UserCreateRequest:
      properties:
        email:
          example: email@provider.com
          type: string
        id:
          example: My-Unique-ID
          type: string
        is_disabled:
          example: false
          type: boolean
        metadata:
          example: '{\"type\": \"individual\", \"status\": \"preferred\"}'
          type: string
      type: object
    UserResponse:
      properties:
        email:
          example: email@provider.com
          nullable: true
          type: string
        guid:
          example: USR-d74cb14f-fd0a-449f-991b-e0362a63d9c6
          nullable: true
          type: string
        id:
          example: My-Unique-ID
          nullable: true
          type: string
        is_disabled:
          example: false
          nullable: true
          type: boolean
        metadata:
          example: '{\"first_name\": \"Steven\", \"last_name\": \"Universe\"}'
          nullable: true
          type: string
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````